%define libname %mklibname %{name} 2

Name:		bzflag
Summary:	A multiplayer 3D tank battle game
Version:	2.4.8
Release:	%mkrel 1
Source0:	https://download.bzflag.org/bzflag/source/%{version}/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://bzflag.org
License:	LGPLv2
Group:		Games/Arcade
BuildRequires:	SDL-devel
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	ncurses-devel
BuildRequires:	glew-devel
BuildRequires:	mesaglu-devel
BuildRequires:	c-ares-devel
BuildConflicts:	freetds-devel
Epoch:          1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q
%autopatch -p1

%build
# We need to install the plugins under %{_libdir}/%{name} so they won't get
# in the way.
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots --libdir=%{_libdir}/%{name}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' | xargs rm

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so


%changelog
* Sat Nov 12 2016 akien <akien> 1:2.4.8-1.mga6
+ Revision: 1066725
- Version 2.4.8

* Sun Sep 11 2016 akien <akien> 1:2.4.6-1.mga6
+ Revision: 1051565
- Version 2.4.6

* Tue May 10 2016 zezinho <zezinho> 1:2.4.4-1.mga6
+ Revision: 1012037
- new version 2.4.4

* Sat Feb 13 2016 umeabot <umeabot> 1:2.4.2-12.mga6
+ Revision: 959648
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1:2.4.2-11.mga6
+ Revision: 868795
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1:2.4.2-10.mga6
+ Revision: 841997
- Rebuild for GLEW 1.12

* Thu Nov 13 2014 akien <akien> 1:2.4.2-9.mga5
+ Revision: 796863
- Remove compilation flags that cause a segfault

* Wed Oct 15 2014 umeabot <umeabot> 1:2.4.2-8.mga5
+ Revision: 744099
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:2.4.2-7.mga5
+ Revision: 693533
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:2.4.2-6.mga5
+ Revision: 678263
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:2.4.2-5.mga5
+ Revision: 670260
- rebuild for glew

* Sat Oct 19 2013 umeabot <umeabot> 1:2.4.2-4.mga4
+ Revision: 530458
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1:2.4.2-3.mga4
+ Revision: 457685
- Rebuild for new glew

* Fri Jan 11 2013 umeabot <umeabot> 1:2.4.2-2.mga3
+ Revision: 347262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 zezinho <zezinho> 1:2.4.2-1.mga3
+ Revision: 309135
- enable exception
- new version

* Tue Aug 28 2012 fwang <fwang> 1:2.4.0-5.mga3
+ Revision: 284929
- rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 1:2.4.0-4.mga3
+ Revision: 274241
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 1:2.4.0-3.mga2
+ Revision: 151165
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 1:2.4.0-2.mga2
+ Revision: 146389
- drop .la files

* Fri Sep 16 2011 shlomif <shlomif> 1:2.4.0-1.mga2
+ Revision: 144306
- Bumped to 2.4.0. Placed the plugins in their own dir.

* Mon Apr 25 2011 wally <wally> 1:2.0.16-4.mga1
+ Revision: 90300
- fix desktop file (mga#954)
- drop buildroot definition
- clean .spec a bit

  + steletch <steletch>
    - Remove obsolete mdk macros

* Tue Mar 15 2011 steletch <steletch> 1:2.0.16-3.mga1
+ Revision: 72251
- Remove obsolete mdk macros
- imported package bzflag

